org.springframework.web.servlet.mvc.condition

## Class AbstractRequestCondition<T extends AbstractRequestCondition<T>>

- java.lang.Object
- - org.springframework.web.servlet.mvc.condition.AbstractRequestCondition<T>

All Implemented Interfaces:
  RequestCondition<T>

Direct Known Subclasses:
  CompositeRequestCondition, ConsumesRequestCondition, HeadersRequestCondition, ParamsRequestCondition, PatternsRequestCondition, ProducesRequestCondition, RequestConditionHolder, RequestMethodsRequestCondition

    public abstract class AbstractRequestCondition<T extends AbstractRequestCondition<T>>
    extends Object
    implements RequestCondition<T>

A base class for `RequestCondition` types providing implementations of `equals(Object)`, `hashCode()`, and `toString()`.

Since:
  3.1
Author:
  Rossen Stoyanchev

### Constructor Summary

Constructors
Constructor and Description
`AbstractRequestCondition()`

### Method Summary

Methods
`boolean` `equals(Object o)`
`protected abstract Collection<?>` `getContent()` Return the discrete items a request condition is composed of.
`protected abstract String` `getToStringInfix()` The notation to use when printing discrete items of content.
`int` `hashCode()`
`String` `toString()`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface org.springframework.web.servlet.mvc.condition.RequestCondition

`combine, compareTo, getMatchingCondition`

### Constructor Detail

#### AbstractRequestCondition

    public AbstractRequestCondition()

### Method Detail

#### getContent

    protected abstract Collection<?> getContent()

Return the discrete items a request condition is composed of. For example URL patterns, HTTP request methods, param expressions, etc.

Returns:
  a collection of objects, never `null`

#### equals

    public boolean equals(Object o)

Overrides:
  `equals` in class `Object`

#### hashCode

    public int hashCode()

Overrides:
  `hashCode` in class `Object`

#### toString

    public String toString()

Overrides:
  `toString` in class `Object`

#### getToStringInfix

    protected abstract String getToStringInfix()

The notation to use when printing discrete items of content. For example " || " for URL patterns or " && " for param expressions.